import { SimpleLocalIntegration } from '../../core/index.js';
import { LifxConfigFlow } from './lifx.classes.configflow.js';
import { createLifxDiscoveryDescriptor } from './lifx.discovery.js';
import type { ILifxConfig } from './lifx.types.js';
import { lifxDomain, lifxProfile } from './lifx.types.js';

export class LifxIntegration extends SimpleLocalIntegration<ILifxConfig> {
  public readonly domain = lifxDomain;
  public readonly discoveryDescriptor = createLifxDiscoveryDescriptor();
  public readonly configFlow = new LifxConfigFlow();

  constructor() {
    super(lifxProfile);
  }
}

export class HomeAssistantLifxIntegration extends LifxIntegration {}
